LMCCTL(8)

NAME
lmcctl - configuration utility for Lan Media SSI, HSSI, and DS3 cards.

SYNOPSIS
[-i interface] [-l speed] [-cCeEkKsSoO]

DESCRIPTION
is the user-land control program for the Lan Media SSI, HSSI, and DS3 network interfaces. The SSI is the LMC1000, and runs at various speeds up to 10Mbps. The DS3 is the LMC5245 and runs at a speed of 45Mbps. The HSSI is the LMC5200, and has no internal clock generator. is used to configure various media and protocol options dealing with HDLC serial links and hardware configurations.

When no change is specified on the command line, the interface status is displayed.

The command-line options for are as follows:

-i interface
    Use the specified interface name rather than the default of lmc0.

-l speed
    (SSI card only) Set the interface to use a clock speed of speed. This is only used if the clock sourse is set to internal clocking.

-c  (SSI, HSSI) Set the interface to use external clocking. This is the default.

-C  (SSI, HSSI) Set the interface to use internal clocking. On the SSI card this uses the internal baud rate generator. On the HSSI card it uses the PCI bus clock.

-e  Select 16-bit CRC. This is the default.

-E  Select 32-bit CRC

-k  Enable Cisco HDLC keepalive protocol. This is the default.

-K  Disable Cisco HDLC keepalive protocol.

-s  (DS3) Disable the DS3 scrambler function. This is the default.

-S  (DS3) Enable the DS3 scrambler function.

-o  (DS3) Program the card for cable lengths of less than 100 feet. In this mode, the card uses lower power to transmit data for short cable runs, which might otherwise overdrive a receiver. This is the default, and will work in most situations even with runs more than 100 feet.

-O  (DS3) Program the card for cable lengths greater than 100 feet.

EXAMPLES
To set a SSI card for a speed of 2048000 bits/sec with HDLC keepalive off, one could use:

    lmcctl -i lmc0 -l 2048000 -K

SEE ALSO
ifconfig(8).

HISTORY
The program first appeared in NetBSD 1.4.

COPYRIGHT

    Copyright (c) 1997-1999 LAN Media Corporation (LMC)
    All rights reserved.  www.lanmedia.com